# Update a refresh

Launch stage: Public Preview

`PATCH /api/data-quality/v1/monitors/{object_type}/{object_id}/refreshes/{refresh_id}`

(Unimplemented) Update a refresh

API scopes: dataquality

## Path parameters

- `object_type` (string, required)
  The type of the monitored object. Can be one of the following: `schema` or `table`.
- `object_id` (string, required)
  The UUID of the request object. It is `schema_id` for `schema`, and `table_id` for `table`.
  
   Find the `schema_id` from either:
   1. The [schema_id](https://docs.databricks.com/api/workspace/schemas/get#schema_id) of the `Schemas` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `schema` > go to the `Details` tab > the `Schema ID` field.
  
   Find the `table_id` from either:
   1. The [table_id](https://docs.databricks.com/api/workspace/tables/get#table_id) of the `Tables` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `table` > go to the `Details` tab > the `Table ID` field.
- `refresh_id` (int64, required)
  Unique id of the refresh operation.

## Query parameters

- `update_mask` (string, required)
  The field mask to specify which fields to update.

## Request body

The refresh to update.
- `object_type` (string, required)
  The type of the monitored object. Can be one of the following: `schema` or `table`.
- `object_id` (string, required)
  The UUID of the request object. It is `schema_id` for `schema`, and `table_id` for `table`.
  
   Find the `schema_id` from either:
   1. The [schema_id](https://docs.databricks.com/api/workspace/schemas/get#schema_id) of the `Schemas` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `schema` > go to the `Details` tab > the `Schema ID` field.
  
   Find the `table_id` from either:
   1. The [table_id](https://docs.databricks.com/api/workspace/tables/get#table_id) of the `Tables` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `table` > go to the `Details` tab > the `Table ID` field.

## Returns

Returns the Refresh object.

## Response

```json
{
  "object_type": "string",
  "object_id": "string",
  "refresh_id": 0,
  "state": "MONITOR_REFRESH_STATE_UNKNOWN",
  "message": "string",
  "start_time_ms": 0,
  "end_time_ms": 0,
  "trigger": "MONITOR_REFRESH_TRIGGER_UNKNOWN"
}
```

